## onscripter 20230825

=== debian/changelog ===
onscripter (20230825-1) unstable; urgency=low

  * New upstream release.
    - debian/control: change homepage to github. The original one is dead.
  * Build with lua5.4 (Closes: #1050630)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 07 Sep 2025 13:37:19 +0100
