=== debian/control ===
Source: onscripter
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper-compat (= 12), docbook-to-man, docbook-xsl,
	       dpkg-dev (>= 1.19.0),
               libsdl1.2-dev, libavifile-0.7-dev,
               libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev,
               libbz2-dev, libjpeg-dev, liblua5.4-dev, libfontconfig-dev,
               libvorbis-dev [!arm64 !armel !armhf !mips !mipsel],
	       libvorbisidec-dev [arm64 armel armhf mips mipsel],
	       libsmpeg-dev [!arm64 !armel !armhf !mips !mipsel],
               libmad0-dev [arm64 armel armhf mips mipsel],
	       xsltproc
Standards-Version: 4.5.0
Homepage: https://ogapee.github.io/www/onscripter.html

Package: onscripter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Visual novel games engine compatible to NScripter
 ONScripter is a game engine compatible to NScripter, which is used to create
 and perform visual novel games.
 .
 This package provides both the standard version which is for Japanese and the
 1-byte version which is able to run English text games.
