=== debian/tests/control ===
Tests: hello-onscripter-en
Depends: @, fonts-vlgothic
Restrictions: allow-stderr

Tests: hello-onscripter
Depends: @, fonts-vlgothic, python3
Restrictions: allow-stderr

Tests: hello-ponscripter
Depends: @, fonts-vlgothic, python3
Restrictions: allow-stderr

Tests: registry-onscripter
Depends: @, fonts-vlgothic
Restrictions: allow-stderr

Tests: dll-onscripter
Depends: @, fonts-vlgothic
Restrictions: allow-stderr
