=== libmad-0.15.1b/debian/changelog ===
libmad (0.15.1b-8) unstable; urgency=low

  * Add multiarch support.  (Closes: #653676)
    Patch by Steve Langasek <steve.langasek@canonical.com>
  * Use dh-autoreconf to update libtool so that it works on x32
    (Closes: #700437)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 20 May 2013 18:02:18 +0200

libmad (0.15.1b-7) unstable; urgency=low

  * Fix arm's MAD_F_MLN thumb case causing problems on arhmf.  Patch
    by Dave Martin (Closes: #656814)
  * Add ${misc:Depends} to the Depends.

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 22 Jan 2012 23:02:29 +0100

libmad (0.15.1b-6) unstable; urgency=low

  [ Konstantinos Margaritis ]
  * Add support for armhf (Closes: #596936)
    - libmad.thumb.diff: use "adr" instead of "add" to make code ready for
      thumb2
    - Provide-Thumb-2-alternative-code-for-MAD_F_MLN.diff: fix another
      ftbfs with thumb2 as "rsc" doesnt exist anymore - thanks to Dave
      Martin for this patch

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 29 Mar 2011 22:26:22 +0200

libmad (0.15.1b-5) unstable; urgency=low

  * gcc-4.4 removed an assembler constraint on mips/mipsel.  Use the new
    way of doing it.  (Closes: #568418)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 19 Feb 2010 20:51:00 +0100

libmad (0.15.1b-4) unstable; urgency=low

  * On an invalid mpeg file we can go past the end of the buffer.
    (Closes: #508133)

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 23 Dec 2008 21:38:34 +0100

libmad (0.15.1b-3) unstable; urgency=low

  * Acknowledge NMU
  * Use DEB_DH_MAKESHLIBS_ARGS_libmad0 instead to set shlibs.
  * Update Clément Stenac's email address to use zorglub@debian.org
  * Add build dependency on autotools-dev, quilt
  * Don't use -O plus some other -f options, just use -O2.  (Closes: #415279)
  * Use the 64bit fixed point math on amd64 to have a higher quality
    output than the default.  (Closes: #465438)
  * Bump shlibs since it changes the size of mad_build on amd64.
  * Add compat file, level 5.  Change build dependency of debhelper to 5.
  * Don't set -lm in the mad.pc file.  libmad doesn't use any math function.
  * Remove libmad0 Depends on pkg-config.
  * Change to Standards-Version 3.7.3:
    - Change ${Source-Version} into ${binary:Version}

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 15 Mar 2008 13:51:31 +0000

libmad (0.15.1b-2.1) unstable; urgency=high

  * Non-maintainer upload, not targetted for Sarge.
  * Urgency high because this is generating uploads with broken depends
    that may be propagating to testing (see #311488).
  * debian/rules: set DEB_DH_MAKESHLIBS_ARGS_ALL = -V 'libmad0 (>= 0.15.1b)'
    to restore the updated shlibs lost in the switch to CDBS
    (closes: #310311).

 -- Jordi Mallach <jordi@debian.org>  Wed,  1 Jun 2005 17:12:24 +0200

libmad (0.15.1b-2) unstable; urgency=low

  * Sam Clegg :
    * debian/control: update Maintainer: and Uploaders: (closes: #300097)
    * debian/rules: convert to CDBS
    * debian/control: build-depend on debhelper >= 4.1.0
    * debian/libmad0.postinst: removed since debhelper runs ldconfig for us.
    * debian/libmad0*.files: removed; use dh_install instead.
  * Clément Stenac :
    * Better copyright file
  * Kurt Roeckx
    * Add watch file.

 -- Sam Clegg <samo@debian.org>  Sun,  8 May 2005 18:59:49 +0100

libmad (0.15.1b-1.1) unstable; urgency=low

  * Orphaning this package, setting maintainer to QA.

 -- Kyle McMartin <kyle@debian.org>  Thu, 17 Mar 2005 10:59:11 -0500

libmad (0.15.1b-1) unstable; urgency=low

  * New upstream version. (closes: #252902)
  * Removed TODO from installed documentation.
  * Added minimad.c to the libmad0-dev documentation. Thanks to
    Mario Lang for the patch. (closes: #249067)

 -- Kyle McMartin <kyle@debian.org>  Sat, 5 Jun 2004 18:52:00 -0400

libmad (0.15.0b-3) unstable; urgency=low

  * Updated section from devel to libdevel as per mail.

 -- Kyle McMartin <kyle@debian.org>  Tue, 21 Oct 2003 22:40:08 -0400

libmad (0.15.0b-2) unstable; urgency=low

  * Updated pkgconfig Version entry for mad (closes: #203656)

 -- Kyle McMartin <kyle@debian.org>  Tue, 21 Oct 2003 22:09:04 -0400

libmad (0.15.0b-1) unstable; urgency=low

  * New upstream version(s).
  * Split package into each library, as upstream has done.

 -- Kyle McMartin <kyle@debian.org>  Sat, 21 Jun 2003 14:21:42 -0400

mad (0.14.2b-7) unstable; urgency=low

  * Clean up some lintian warnings.
  * Fixed id3tag.pc, accidently had -L instead of -I.

 -- Kyle McMartin <kyle@debian.org>  Tue, 28 Jan 2003 09:45:02 -0500

mad (0.14.2b-6) unstable; urgency=medium

  * Updated config.* (closes: #168663)

 -- Kyle McMartin <kyle@debian.org>  Thu, 14 Nov 2002 18:41:29 -0500

mad (0.14.2b-5) unstable; urgency=medium

  * Added build-dep on libesd0-dev, this should fix some
    problems people have been having when using esd as the
    output device... (closes: #150823)

 -- Kyle McMartin <kyle@debian.org>  Wed, 06 Nov 2002 18:20:18 -0500

mad (0.14.2b-4) unstable; urgency=low

  * added pkgconfig entry, and dependancy on pkg-config. (closes: #144481)

 -- Kyle McMartin <kyle@debian.org>  Mon, 05 Aug 2002 14:37:00 -0400

mad (0.14.2b-3) unstable; urgency=high

  * updated libid3tag0-dev depends to account for zlib1g-dev (closes: #142611)

 -- Kyle McMartin <kyle@debian.org>  Thu, 18 Apr 2002 19:37:00 -0500

mad (0.14.2b-2) unstable; urgency=high

  * fix for the shlibs rc bug (closes: #136196)

 -- Kyle McMartin <kyle@debian.org>  Thu, 28 Feb 2002 18:21:40 -0500

mad (0.14.2b-1) unstable; urgency=low

  * new upstream version
  * new maintainer
  * new version fixes enum (closes: #129178)
  * closing old fixed bug [missing symlink to libmad.so.0] (closes: #119350)

 -- Kyle McMartin <kyle@debian.org>  Wed, 16 Jan 2002 22:09:58 -0500

mad (0.14.1b-4) unstable; urgency=low

  * yet another stupid maintainer mistakes release
  * fix the call to dh_makeshlibs, I neglected to add proper
    arguments for the new libid3tag0 library (closes: #119146)
  * now that the shlibs are sorted out, madplay will have the correct depends
